<template>
    <app-layout>
        <template #header>
            <h1>Registrar Permiso</h1>
        </template>
        <div class="py-12">
            <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
                <div class="bg-white overflow-hidden shadow-xl sm:rounded-lg">
                    <form @submit.prevent="submit" class="mb-6">
                        <div class="grid grid-cols-1 md:grid-cols-2 gap-5 md:gap-8 mt-5 mx-7">
                        <div class="grid grid-cols-1">
                            <label class="uppercase md:text-sm text-xs text-gray-500 text-light font-semibold">Nombre</label>
                            <input
                            id="nombre"
                            v-model="form.nombre"
                            class="py-2 px-3 rounded-lg border-2 border-purple-300 mt-1 focus:outline-none focus:ring-2 focus:ring-purple-600 focus:border-transparent" type="text" placeholder="Nombre"
                            />
                        </div>
                        <div class="grid grid-cols-1">
                            <label class="uppercase md:text-sm text-xs text-gray-500 text-light font-semibold">ID Rol</label>
                            <input
                                id="id_rol"
                                v-model="form.id_rol"
                            class="py-2 px-3 rounded-lg border-2 border-purple-300 mt-1 focus:outline-none focus:ring-2 focus:ring-purple-600 focus:border-transparent" type="text" placeholder="Rol numero"
                            />
                        </div>
                        </div>
                        <div class='flex justify-end md:gap-8 gap-4 pt-5 pb-5 pr-5'>
                            <inertia-link
                                :href="route('permisos.index')"
                                class="mx-1 px-2 py-2 text-sm text-white bg-red-500 rounded">
                                Cancelar
                            </inertia-link>
                            <button
                                type="submit"
                                class="mx-1 px-2 py-2 text-sm text-white bg-blue-500 rounded">
                                Guardar
                            </button>
                        </div>




                    </form>
                </div>
            </div>
        </div>
    </app-layout>
</template>

<script>
import AppLayout from '../../Layouts/AppLayout.vue';
export default{
    components:{
        AppLayout
    },
    props:{
        errors:Object
    },
    data(){
        return{
            form:{
                nombre:null,
                id_permiso:null
            }
        }
    },
    methods:{
        submit(){
            this.$inertia.post(route('permisos.store',this.form));
        }
    }
}
</script>
